---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libfieldacc02.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x20348, symBinAddr: 0x85C8, symSize: 0x0 }
  - { offsetInCU: 0x94, offset: 0x94, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x2034C, symBinAddr: 0x85CC, symSize: 0x0 }
  - { offsetInCU: 0xBF, offset: 0xBF, size: 0x8, addend: 0x0, symName: __ZL7watches, symObjAddr: 0x2F58, symBinAddr: 0x8028, symSize: 0x0 }
  - { offsetInCU: 0x1A6, offset: 0x1A6, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x2034D, symBinAddr: 0x85CD, symSize: 0x0 }
  - { offsetInCU: 0x1C4, offset: 0x1C4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x20350, symBinAddr: 0x85D0, symSize: 0x0 }
  - { offsetInCU: 0x8D98, offset: 0x8D98, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x20358, symBinAddr: 0x85D8, symSize: 0x0 }
  - { offsetInCU: 0x8DB1, offset: 0x8DB1, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x20490, symBinAddr: 0x8710, symSize: 0x0 }
  - { offsetInCU: 0x8DC8, offset: 0x8DC8, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x23BC, symSize: 0x24 }
  - { offsetInCU: 0x912C, offset: 0x912C, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0xC70, symBinAddr: 0x23E0, symSize: 0x780 }
  - { offsetInCU: 0x961C, offset: 0x961C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x13F0, symBinAddr: 0x2B60, symSize: 0x18C }
  - { offsetInCU: 0x9880, offset: 0x9880, size: 0x8, addend: 0x0, symName: _Java_fieldacc02_getReady, symObjAddr: 0x157C, symBinAddr: 0x2CEC, symSize: 0x1E0 }
  - { offsetInCU: 0x9D8C, offset: 0x9D8C, size: 0x8, addend: 0x0, symName: _Java_fieldacc02_check, symObjAddr: 0x175C, symBinAddr: 0x2ECC, symSize: 0x368 }
  - { offsetInCU: 0xA418, offset: 0xA418, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1AC4, symBinAddr: 0x3234, symSize: 0x4 }
  - { offsetInCU: 0xA460, offset: 0xA460, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1AC4, symBinAddr: 0x3234, symSize: 0x4 }
  - { offsetInCU: 0xA472, offset: 0xA472, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1AC8, symBinAddr: 0x3238, symSize: 0x4 }
  - { offsetInCU: 0xA4BA, offset: 0xA4BA, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1AC8, symBinAddr: 0x3238, symSize: 0x4 }
...
